/* ---------- FULLSCREEN IMAGE VIEWER ---------- */

.image-viewer {
    position: fixed;
    inset: 0;
    /* top:0 left:0 right:0 bottom:0 */
    background: rgba(0, 0, 0, 0.85);

    display: none;
    align-items: center;
    justify-content: center;

    z-index: 999999;
    /* ensures it is above everything */
}

.image-viewer img {
    max-width: 90vw;
    max-height: 90vh;
    border-radius: 10px;
    box-shadow: 0 25px 80px rgba(0, 0, 0, 0.6);
}

/* clickable screenshots */

.screenshot-grid img,
.system-design img {
    cursor: zoom-in;
}